com.fasterxml.jackson.databind.deser.std

## Class UUIDDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<java.util.UUID>
        - - com.fasterxml.jackson.databind.deser.std.UUIDDeserializer

- All Implemented Interfaces:
    java.io.Serializable

      public class UUIDDeserializer
      extends FromStringDeserializer<java.util.UUID>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `FromStringDeserializer.Std`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.UUID` | `_deserialize(java.lang.String id, DeserializationContext ctxt)`
    `protected java.util.UUID` | `_deserializeEmbedded(java.lang.Object ob, DeserializationContext ctxt)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeFromEmptyString, deserialize, findDeserializer, types`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromInt, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UUIDDeserializer

          public UUIDDeserializer()

  - ### Method Detail

    - #### _deserialize

          protected java.util.UUID _deserialize(java.lang.String id,
                                    DeserializationContext ctxt)
                                         throws java.io.IOException

      Specified by:
        `_deserialize` in class `FromStringDeserializer<java.util.UUID>`
      Throws:
        `java.io.IOException`

    - #### _deserializeEmbedded

          protected java.util.UUID _deserializeEmbedded(java.lang.Object ob,
                                            DeserializationContext ctxt)
                                                 throws java.io.IOException

      Overrides:
        `_deserializeEmbedded` in class `FromStringDeserializer<java.util.UUID>`
      Throws:
        `java.io.IOException`